Package org.apache.commons.compress.utils

# Class CountingInputStream

java.lang.Object
java.io.InputStream
java.io.FilterInputStream
org.apache.commons.compress.utils.CountingInputStream

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

@Deprecated public class CountingInputStream extends FilterInputStream
Deprecated.
Use `CountingInputStream`.
Input stream that tracks the number of bytes read.

Since:
  1.3
This class is not thread-safe

- ## Field Summary

  ### Fields inherited from class java.io.FilterInputStream

  `in`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CountingInputStream(InputStream in)`
  Deprecated.
  Creates a `CountingInputStream` by assigning the argument `in` to the field `this.in` so as to remember it for later use.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected final void`
  `count(long read)`
  Deprecated.
  Increments the counter of already read bytes.
  `long`
  `getBytesRead()`
  Deprecated.
  Returns the current number of bytes read from this stream.
  `int`
  `read()`
  Deprecated.
  `int`
  `read(byte[] b)`
  Deprecated.
  `int`
  `read(byte[] b, int off, int len)`
  Deprecated.

  ### Methods inherited from class java.io.FilterInputStream

  `available, close, mark, markSupported, reset, skip`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CountingInputStream

    public CountingInputStream(InputStream in)
    Deprecated.
    Creates a `CountingInputStream` by assigning the argument `in` to the field `this.in` so as to remember it for later use.
    Parameters:
      `in` - the underlying input stream, or `null` if this instance is to be created without an underlying stream.

- ## Method Details

  - ### count

    protected final void count(long read)
    Deprecated.
    Increments the counter of already read bytes. Doesn't increment if the EOF has been hit (read == -1)
    Parameters:
      `read` - the number of bytes read

  - ### getBytesRead

    public long getBytesRead()
    Deprecated.
    Returns the current number of bytes read from this stream.
    Returns:
      the number of read bytes

  - ### read

    public int read() throws IOException
    Deprecated.
    Overrides:
      `read` in class `FilterInputStream`
    Throws:
      `IOException`

  - ### read

    public int read(byte[] b) throws IOException
    Deprecated.
    Overrides:
      `read` in class `FilterInputStream`
    Throws:
      `IOException`

  - ### read

    public int read(byte[] b, int off, int len) throws IOException
    Deprecated.
    Overrides:
      `read` in class `FilterInputStream`
    Throws:
      `IOException`